## org.firebirdsql.gds.impl
Class AbstractIscDbHandle

    java.lang.Object
      org.firebirdsql.gds.impl.AbstractIscDbHandle

All Implemented Interfaces:
  IscDbHandle

Direct Known Subclasses:
  isc_db_handle_impl, isc_db_handle_impl

    public abstract class AbstractIscDbHandle

extends Object
implements IscDbHandle

Abstract implementation of `IscDbHandle` interface. This class defines additional information that can be obtained when connecting to the database.

Constructor Summary
`AbstractIscDbHandle()`

Method Summary
`abstract int` `getDatabaseProductMajorVersion()` Get the major version number of the database product to which this handle is attached.
`abstract int` `getDatabaseProductMinorVersion()` Get the minor version number of the database product to which this handle is attached.
`abstract String` `getDatabaseProductName()` Get the product name for the database to which this handle is attached.
`abstract String` `getDatabaseProductVersion()` Get the product version for the database to which this handle is attached.
`abstract int` `getDialect()` Get the Interbase/Firebird dialect that is being used with this handle.
`abstract int` `getODSMajorVersion()`
`abstract int` `getODSMinorVersion()`
`abstract String` `getVersion()`
`abstract boolean` `isValid()` Retrieve whether this handle is valid.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.firebirdsql.gds.IscDbHandle
`clearWarnings, getWarnings`

Constructor Detail

### AbstractIscDbHandle

    public AbstractIscDbHandle()

Method Detail

### getDatabaseProductMajorVersion

    public abstract int getDatabaseProductMajorVersion()

  Get the major version number of the database product to which this handle is attached.

  Returns:
    The major product version number

### getDatabaseProductMinorVersion

    public abstract int getDatabaseProductMinorVersion()

  Get the minor version number of the database product to which this handle is attached.

  Returns:
    The minor product version number

### getDatabaseProductName

    public abstract String getDatabaseProductName()

  Get the product name for the database to which this handle is attached.

  Returns:
    The product name of the database

### getDatabaseProductVersion

    public abstract String getDatabaseProductVersion()

  Get the product version for the database to which this handle is attached.

  Returns:
    The product version of the database

### getDialect

    public abstract int getDialect()

  Get the Interbase/Firebird dialect that is being used with this handle.

  Returns:
    The dialect being used

### getODSMajorVersion

    public abstract int getODSMajorVersion()

  Returns:
    the major ODS version of the database.

### getODSMinorVersion

    public abstract int getODSMinorVersion()

  Returns:
    the minor ODS version of the database.

### getVersion

    public abstract String getVersion()

  Returns:
    database server version.

### isValid

    public abstract boolean isValid()

  Retrieve whether this handle is valid.

  Returns:
    `true` if this handle is valid, `false` otherwise

Copyright © 2001-2010. All Rights Reserved.